indexing
	description	: "Application Constants as defined in 'trio.rc'"
	author		: "Dr. Thomas Tensi"
	date		: "$Date: 2008/9/7 10:23:35 $"
	revision	: "1.0.0"

class
	RESOURCE_CONSTANTS

feature -- Access

	rsc_id_okay				   : INTEGER is 1
	rsc_id_cancel			   : INTEGER is 2

	rsc_id_language_list	   : INTEGER is 0

	rsc_id_application_ico     : INTEGER is 1
	rsc_id_mainwin_menu        : INTEGER is 2
	rsc_id_mainwin_toolbar_bmp : INTEGER is 3

	rsc_id_cmd_set_options       : INTEGER is 50
	rsc_id_cmd_show_highscore    : INTEGER is 51
	rsc_id_cmd_start             : INTEGER is 52
	rsc_id_cmd_stop              : INTEGER is 53
	rsc_id_cmd_show_instructions : INTEGER is 54
	rsc_id_cmd_report_unsolvable : INTEGER is 55

	-- language dependent dialogs
	rsc_cd_id_introdlg                         : INTEGER is  0
	rsc_cd_id_introdlg_text                    : INTEGER is  1
	rsc_cd_id_highscoredlg                     : INTEGER is  2
	rsc_cd_id_highscoredlg_listbox             : INTEGER is  3
	rsc_cd_id_setupdlg                         : INTEGER is  4
	rsc_cd_id_setupdlg_boardsize_combobox      : INTEGER is  5
	rsc_cd_id_setupdlg_boardsize_combobox_text : INTEGER is  6
	rsc_cd_id_setupdlg_language_combobox       : INTEGER is  7
	rsc_cd_id_setupdlg_language_combobox_text  : INTEGER is  8
	rsc_cd_id_setupdlg_sounds_checkbox         : INTEGER is  9
	rsc_cd_id_setupdlg_time_combobox           : INTEGER is 10
	rsc_cd_id_setupdlg_time_combobox_text      : INTEGER is 11
	rsc_cd_id_setupdlg_unsolvable_checkbox	   : INTEGER is 12
	rsc_cd_id_setupdlg_zeroes_checkbox         : INTEGER is 13

	-- language dependent string identifications
	rsc_cd_string_okay					: INTEGER is 20
	rsc_cd_string_cancel				: INTEGER is 21
	rsc_cd_string_resultdlg_title       : INTEGER is 25
	rsc_cd_string_resultdlg_body        : INTEGER is 26
    rsc_cd_string_mainwin_title         : INTEGER is 30
    rsc_cd_string_mainwin_statusinfo    : INTEGER is 31
	rsc_cd_string_mainwin_nosolutions   : INTEGER is 32
    rsc_cd_string_highscoredlg_title    : INTEGER is 40
	rsc_cd_string_highscoredlg_headers  : INTEGER is 41
	rsc_cd_string_setupdlg_title        : INTEGER is 45
	rsc_cd_string_setupdlg_boardsize    : INTEGER is 46
	rsc_cd_string_setupdlg_boardsize1   : INTEGER is 47
	rsc_cd_string_setupdlg_boardsize2   : INTEGER is 48
	rsc_cd_string_setupdlg_language		: INTEGER is 49
	rsc_cd_string_setupdlg_sounds       : INTEGER is 50
	rsc_cd_string_setupdlg_time         : INTEGER is 51
	rsc_cd_string_setupdlg_time1        : INTEGER is 52
	rsc_cd_string_setupdlg_time2        : INTEGER is 53
	rsc_cd_string_setupdlg_unsolvable   : INTEGER is 54
	rsc_cd_string_setupdlg_zeroes       : INTEGER is 55
	rsc_cd_string_introdlg_text         : INTEGER is 60
	rsc_cd_string_instructionsdlg_title	: INTEGER is 65
	rsc_cd_string_instructionsdlg_body	: INTEGER is 66
	rsc_cd_string_endgamedlg_title	    : INTEGER is 70
	rsc_cd_string_endgamedlg_body	    : INTEGER is 71

	rsc_cd_string_undefined_username    : INTEGER is 80

	-- language dependent font
	rsc_cd_font_highscoredlg_name : INTEGER is 90

    -- non-id constants
	rsc_mainwin_toolbar_size   : INTEGER is 32
	rsc_font_highscoredlg_size : INTEGER is 18


end -- class APPLICATION_IDS
